User Tools

Site Tools


build:optpkgs

Differences

This shows you the differences between two versions of the page.

Link to this comparison view

Both sides previous revision Previous revision
Next revision
Previous revision
Next revision Both sides next revision
build:optpkgs [2017/05/25 10:21]
Matthieu Verstraete
build:optpkgs [2020/08/10 12:17]
Xavier Gonze [AtomPAW]
Line 2: Line 2:
  
 ===== Overview ===== ===== Overview =====
 +The following list includes plugin libraries which abinit can use to add features (DMFT, Wannier functions...) and interoperability (other pseudopotential formats...). They are listed in alphabetical order, not by order of importance. Several are available as fallbacks for abinit: see the options of the configure script for more details, and some links below on installation procedures.
  
 ===== AtomPAW ===== ===== AtomPAW =====
  
-AtomPAW is a generation library for PAW atomic data sets (like pseudopotentials). It is the reference package to generate datasets for ABINIT, but several others can be used as well.+AtomPAW is a generation library for PAW atomic data sets (like pseudopotentials) ​created by Prof Nathalie Holzwarth and developed in close collaboration with the ABINIT team. It is the reference package to generate datasets for ABINIT, but several others can be used as well.
  
 You can download AtomPAW from its [[http://​users.wfu.edu/​natalie/​papers/​pwpaw/​man.html|Wake Forest University project page]]. You can download AtomPAW from its [[http://​users.wfu.edu/​natalie/​papers/​pwpaw/​man.html|Wake Forest University project page]].
- 
-Our [[build:​install_atompaw|Installing AtomPAW]] page will give you useful instructions to install AtomPAW properly and make it work with Abinit. 
  
 //Please note that AtomPAW depends on [[build:​minreq#​linear_algebra|linear algebra]] and [[build:​minreq#​libxc|LibXC]],​ which must be installed before.// //Please note that AtomPAW depends on [[build:​minreq#​linear_algebra|linear algebra]] and [[build:​minreq#​libxc|LibXC]],​ which must be installed before.//
Line 52: Line 51:
  
 Our [[build:​install_levmar|Installing Levmar]] page will give you useful instructions to install Levmar properly and make it work with Abinit. Our [[build:​install_levmar|Installing Levmar]] page will give you useful instructions to install Levmar properly and make it work with Abinit.
 +
 +===== Libpspio =====
 +
 +Libpspio is a library for interchange (input and output) of different pseudopotential file formats. It supports a number of them for many different codes.
 +
 +You can download Libpspio from its [[https://​launchpad.net/​libpspio|Launchpad project page]] and soon from its [[http://​esl.cecam.org/​mediawiki/​index.php/​Libpspio|ESL wiki page]].
 +
 +Our [[build:​install_libpspio|Installing Libpspio]] page will give you useful instructions to install Libpspio properly and make it work with Abinit.
  
 ===== PAPI ===== ===== PAPI =====
Line 98: Line 105:
  
 Our [[build:​install_yaml|Installing YAML]] page will give you useful instructions to install YAML properly and make it work with Abinit. Our [[build:​install_yaml|Installing YAML]] page will give you useful instructions to install YAML properly and make it work with Abinit.
- 
-===== Libpspio ===== 
- 
-Libpspio is a library for interchange (input and output) of different pseudopotential file formats. It supports a number of them for many different codes. 
- 
-You can download Libpspio from its [[https://​launchpad.net/​libpspio|Launchpad project page]] and soon from its [[http://​esl.cecam.org/​mediawiki/​index.php/​Libpspio|ESL wiki page]]. 
- 
-Our [[build:​install_libpspio|Installing Libpspio]] page will give you useful instructions to install Libpspio properly and make it work with Abinit. 
  
build/optpkgs.txt · Last modified: 2020/08/10 12:22 by Xavier Gonze